about summary refs log tree commit diff
path: root/test/pbmupc.test
diff options
context:
space:
mode:
Diffstat (limited to 'test/pbmupc.test')
-rwxr-xr-xtest/pbmupc.test34
1 files changed, 24 insertions, 10 deletions
diff --git a/test/pbmupc.test b/test/pbmupc.test
index aee380b0..fb9ec90e 100755
--- a/test/pbmupc.test
+++ b/test/pbmupc.test
@@ -9,19 +9,33 @@ do
 pbmupc $type 0 72890 00011
 done | cksum
 
-echo "Test 2"
+echo "Test Invalid"
+
+tmpdir=${tmpdir:-/tmp}
+test_out=${tmpdir}/test_out
 
 echo 1>&2
 echo "Invalid command-line argument combinations." 1>&2
 echo "Error messages should appear below the line." 1>&2
 echo "-----------------------------------------------------------" 1>&2
 
-pbmupc -s3 0 72890 00011     || echo "Exptected error 1"
-pbmupc -s1   72890 00011     || echo "Exptected error 2"
-pbmupc -s1 0 72890           || echo "Exptected error 3"
-pbmupc -s1 10 72890 00011    || echo "Exptected error 4"
-pbmupc -s1 0 172890 00011    || echo "Exptected error 5"
-pbmupc -s1 0   2890 00011    || echo "Exptected error 6"
-pbmupc -s1 0 72890 100011    || echo "Exptected error 7"
-pbmupc -s1 0 72890   0011    || echo "Exptected error 8"
-pbmupc -s1 0 72890 100011 1  || echo "Exptected error 9"
+pbmupc -s3 0 72890 00011     > ${test_out} || \
+   echo -n "Expected failure 1"; test -s ${test_out}; echo " "$?
+pbmupc -s1   72890 00011     > ${test_out} || \
+   echo -n "Expected failure 2"; test -s ${test_out}; echo " "$?
+pbmupc -s1 0 72890           > ${test_out} || \
+   echo -n "Expected failure 3"; test -s ${test_out}; echo " "$?
+pbmupc -s1 10 72890 00011    > ${test_out} || \
+   echo -n "Expected failure 4"; test -s ${test_out}; echo " "$?
+pbmupc -s1 0 172890 00011    > ${test_out} || \
+   echo -n "Expected failure 5"; test -s ${test_out}; echo " "$?
+pbmupc -s1 0   2890 00011    > ${test_out} || \
+   echo -n "Expected failure 6"; test -s ${test_out}; echo " "$?
+pbmupc -s1 0 72890 100011    > ${test_out} || \
+   echo -n "Expected failure 7"; test -s ${test_out}; echo " "$?
+pbmupc -s1 0 72890   0011    > ${test_out} || \
+   echo -n "Expected failure 8"; test -s ${test_out}; echo " "$?
+pbmupc -s1 0 72890 100011 1  > ${test_out} || \
+   echo -n "Expected failure 9"; test -s ${test_out}; echo " "$?
+
+rm ${test_out}